# PCHYPRE

Allows you to use the matrix element based preconditioners in the LLNL package hypre

### Options Database Keys

| -pc_hypre_type | - One of pilut, parasails, boomerAMG, euclid
| Too many others to list, run with | - pc_type hypre -pc_hypre_type XXX -help to see options for the XXX preconditioner

Notes: Apart from pc_hypre_type (for which there is PCHYPRESetType()), the many hypre options can ONLY be set via the options database (e.g. the command line or with PetscOptionsSetValue(), there are no functions to set them)

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCHYPRESetType()

Level:intermediate
Location:src/ksp/pc/impls/hypre/hyppilut.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages